from django.urls import path
from . import views

app_name = 'analytics'

urlpatterns = [
    path('', views.analytics_dashboard, name='analytics_dashboard'),
    path('courses/', views.course_analytics, name='course_analytics'),
    path('instructors/', views.instructor_analytics, name='instructor_analytics'),
    path('students/', views.student_analytics, name='student_analytics'),
    path('reports/', views.generate_reports, name='generate_reports'),
    path('export/', views.export_data, name='export_data'),
] 